Bug 130437 - EXP-run for devel/apr-svn removal
Summary: EXP-run for devel/apr-svn removal
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-12 18:20 UTC by Philip M. Gollucci
Modified: 2009-01-18 20:04 UTC (History)
1 user (show)

See Also:


Attachments
apr.diff (14.88 KB, patch)
2009-01-12 18:20 UTC, Philip M. Gollucci
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philip M. Gollucci freebsd_committer 2009-01-12 18:20:05 UTC
o Remove devel/apr-svn and replace with devel/apr
o devel/apr:
  defaults changed: WITH_BDB=yes [1]
  convert APR_UTIL_* flags to KNOBS flag names
  optionify and add IPV6, NDB<, LDAP, MYSQL, PGSQL
  (sqlite,orcale,freetds,odbc -- PATCHES welcome, MAINTAINER does not use)
  GMAKE is not needed, so remove it
  split ./configure args into apr and apr-util args, they do not accept all the same options
  standardize on naming apr and apu to match other oses and the C code.
  create APR_WRKDIR And APU_WRKDIR for simplicity
  delete pre-extract target
  bump PORTREVISION

  NOTE: port still breaks hier(7), need to fix

o devel/kdesvn, devel/rapidsvn, devel/subcommander*, devel/subversion*
  devel/apr-svn -> devel/apr
  (subversion will pull in devel/apr)

Notes: dev@apr.apache.org, trunk in svn is as of TODAY(2008/01/03) 2.0.x, ports infra needs to prep for
       devel/apr-0, devel/apr-1, devel/apr-2

Helpful for PRs:    ports/117596, ports/83644, ports/96749, ports/110651, ports/118003, ports/128078
Fixes PRs:          ports/126053 [1]
Requeted by:        many on ports@, many on #bsdports [1]
Exp Runs by:        XXXX
Approved by:        portmgr (XXXX)
Reviewed by:        XXXX
~
Comment 1 Philip M. Gollucci freebsd_committer 2009-01-12 18:20:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

over to portmgr for -exp run
Comment 2 Pav Lucistnik freebsd_committer 2009-01-17 10:03:43 UTC
Responsible Changed
From-To: portmgr->pgollucci

exp-run completed without any failures
Comment 3 Philip M. Gollucci freebsd_committer 2009-01-18 20:04:04 UTC
State Changed
From-To: open->closed

Committed. Thanks!